Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::addon::compliance::PDFXCompliance Class Reference
Inheritance diagram for foxit::addon::compliance::PDFXCompliance:

## Public Types
enum | Version { e_VersionPDFX1a = 0, e_VersionPDFX3 = 1, e_VersionPDFX4 = 2, e_VersionPDFX4p = 3, e_VersionPDFX1aCoatedGRACoL2006 = 4, e_VersionPDFX1aISOCoatedv2ECI = 5, e_VersionPDFX1aJapanColor2001Coated = 6, e_VersionPDFX1aPSOCoatedv3ECI = 7, e_VersionPDFX3CoatedGRACoL2006 = 8, e_VersionPDFX3ISOCoatedv2ECI = 9, e_VersionPDFX3JapanColor2001Coated = 10, e_VersionPDFX3PSOCoatedv3ECI = 11, e_VersionPDFX4CoatedGRACoL2006 = 12, e_VersionPDFX4ISOCoatedv2ECI = 13, e_VersionPDFX4JapanColor2001Coated = 14, e_VersionPDFX4PSOCoatedv3ECI = 15, e_VersionPDFX4AndCLLVISOCoatedv2ECI = 16 }
| Enumeration for PDF/X version. More...

## Public Member Functions
| PDFXCompliance ()
| Constructor.
| PDFXCompliance (const PDFXCompliance &other)
| Constructor, with another PDF/X compliance object. More...
| ~PDFXCompliance ()
| Destructor.
ResultInformation | ConvertPDFFile (const wchar_t *src_pdf_path, const wchar_t *saved_pdf_path, Version convert_to_version, ComplianceEngine::ViewOrPrintCondition view_or_print_condition, bool to_convert_rgb_or_lab, bool to_decalibrate_gray_or_cmyk, ProgressCallback *progress_callback=0)
| Convert a PDF file with specified PDF/X version. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const PDFXCompliance &other) const
| Not equal operator. More...
PDFXCompliance & | operator= (const PDFXCompliance &other)
| Assign operator. More...
bool | operator== (const PDFXCompliance &other) const
| Equal operator. More...
ResultInformation | Verify (Version verify_version, const wchar_t *src_pdf_path, int first_page_index=0, int last_page_index=-1, ProgressCallback *progress_callback=0)
| Verify a PDF file with specified PDF/X version. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class can be used for PDF/X compliance verification or converting a PDF file to a PDF/X format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Member Enumeration Documentation

## ◆ Version

enum foxit::addon::compliance::PDFXCompliance::Version

Enumeration for PDF/X version.

Values of this enumeration should be used alone.

Enumerator
e_VersionPDFX1a | PDF/X-1a.
e_VersionPDFX3 | PDF/X-3.
e_VersionPDFX4 | PDF/X-4.
e_VersionPDFX4p | PDF/X-4p.
e_VersionPDFX1aCoatedGRACoL2006 | PDF/X-1a (Coated GRACoL 2006).
e_VersionPDFX1aISOCoatedv2ECI | PDF/X-1a (ISO Coated v2 (ECI)).
e_VersionPDFX1aJapanColor2001Coated | PDF/X-1a (Japan Color 2001 Coated).
e_VersionPDFX1aPSOCoatedv3ECI | PDF/X-1a (PSO Coated v3 (ECI)).
e_VersionPDFX3CoatedGRACoL2006 | PDF/X-3 (Coated GRACoL 2006).
e_VersionPDFX3ISOCoatedv2ECI | PDF/X-3 (ISO Coated v2 (ECI)).
e_VersionPDFX3JapanColor2001Coated | PDF/X-3 (Japan Color 2001 Coated).
e_VersionPDFX3PSOCoatedv3ECI | PDF/X-3 (PSO Coated v3 (ECI)).
e_VersionPDFX4CoatedGRACoL2006 | PDF/X-4 (Coated GRACoL 2006).
e_VersionPDFX4ISOCoatedv2ECI | PDF/X-4 (ISO Coated v2 (ECI)).
e_VersionPDFX4JapanColor2001Coated | PDF/X-4 (Japan Color 2001 Coated).
e_VersionPDFX4PSOCoatedv3ECI | PDF/X-4 (PSO Coated v3 (ECI)).
e_VersionPDFX4AndCLLVISOCoatedv2ECI | PDF/X-4 and create language layer views (ISO Coated v2 (ECI))).

## Constructor & Destructor Documentation

## ◆ PDFXCompliance()

foxit::addon::compliance::PDFXCompliance::PDFXCompliance | ( | const PDFXCompliance & | other | ) |

Constructor, with another PDF/X compliance object.

Parameters

  [in] | other | Another PDF/X compliance object.

## Member Function Documentation

## ◆ ConvertPDFFile()

ResultInformation foxit::addon::compliance::PDFXCompliance::ConvertPDFFile | ( | const wchar_t * | src_pdf_path,
|  | const wchar_t * | saved_pdf_path,
|  | Version | convert_to_version,
|  | ComplianceEngine::ViewOrPrintCondition | view_or_print_condition,
|  | bool | to_convert_rgb_or_lab,
|  | bool | to_decalibrate_gray_or_cmyk,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Convert a PDF file with specified PDF/X version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/X version to convert. Please refer to values starting from PDFXCompliance::e_VersionPDFX1a and this should be one of these values.
  [in] | conv_profile | Conversion profile type.
  [in] | view_or_print_condition | Viewing or printing condition. Please refer to values starting from ComplianceEngine::e_ViewOrPrintConditionAuto and this should be one of these values.
  [in] | to_convert_rgb_or_lab | Whether to convert device independ RGB or Lab color into destination color space. true means to convert, false means not to convert. It only works if convert_to_version is not PDFXCompliance::e_VersionPDFX1a, PDFXCompliance::e_VersionPDFX1aCoatedGRACoL2006, PDFXCompliance::e_VersionPDFX1aISOCoatedv2ECI, PDFXCompliance::e_VersionPDFX1aJapanColor2001Coated and PDFXCompliance::e_VersionPDFX1aPSOCoatedv3ECI.
  [in] | to_decalibrate_gray_or_cmyk | Whether to decalibrate device independent Gray or CMYK. true means to decalibrate, false means not to decalibrate.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL.

Returns
  A ResultInformation object.

## ◆ IsEmpty()

bool foxit::addon::compliance::PDFXCompliance::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::compliance::PDFXCompliance::operator!= | ( | const PDFXCompliance & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another PDF/X compliance object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

PDFXCompliance& foxit::addon::compliance::PDFXCompliance::operator= | ( | const PDFXCompliance & | other | ) |

Assign operator.

Parameters

  [in] | other | Another PDF/X compliance object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::compliance::PDFXCompliance::operator== | ( | const PDFXCompliance & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another PDF/X compliance object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Verify()

ResultInformation foxit::addon::compliance::PDFXCompliance::Verify | ( | Version | verify_version,
|  | const wchar_t * | src_pdf_path,
|  | int | first_page_index = `0`,
|  | int | last_page_index = `-1`,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Verify a PDF file with specified PDF/X version.

Parameters

  [in] | verify_version | PDF/X version to verify. Please refer to values starting from PDFXCompliance::e_VersionPDFX1a to and this should be one of these values. src_pdf_path A complete path of source PDF file to be verified. This should not be an empty string. first_page_index Index of the first page to be verified, staring from 0. Default value: 0. last_page_index Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified(ignores first_page_index). Default value: -1. progress_callback Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL. A ResultInformation object.